Package org.eclipse.e4.ui.css.swt.engine

# Class CSSSWTEngineImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.engine.AbstractCSSEngine
org.eclipse.e4.ui.css.core.impl.engine.CSSEngineImpl
org.eclipse.e4.ui.css.swt.engine.AbstractCSSSWTEngineImpl
org.eclipse.e4.ui.css.swt.engine.CSSSWTEngineImpl

All Implemented Interfaces:
  `CSSEngine`

public class CSSSWTEngineImpl extends AbstractCSSSWTEngineImpl
CSS SWT Engine implementation which configure CSSEngineImpl to apply styles to SWT widgets with static handler strategy.

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.css.swt.engine.AbstractCSSSWTEngineImpl

`display`

### Fields inherited from class org.eclipse.e4.ui.css.core.impl.engine.CSSEngineImpl

`CONDITIONFACTORY_INSTANCE`

### Fields inherited from class org.eclipse.e4.ui.css.core.impl.engine.AbstractCSSEngine

`computeDefaultStyle, propertyHandlerProviders`

## Constructor Summary

Constructors
Constructor
Description
`CSSSWTEngineImpl(Display display)`
`CSSSWTEngineImpl(Display display, boolean lazyApplyingStyles)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`hookNativeWidget(Object widget)`
Called when an element context is created for a native widget and registered with this engine.
`protected void`
`initializeCSSElementProvider()`
`protected void`
`initializeCSSPropertyHandlers()`
`void`
`reapply()`
Reapply the styles to the objects managed by this engine.

### Methods inherited from class org.eclipse.e4.ui.css.swt.engine.AbstractCSSSWTEngineImpl

`getElement, getResourcesRegistry, isStylable, reset`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.engine.CSSEngineImpl

`makeCSSParser, registerCSSProperty, registerCSSPropertyHandler, registerPackage`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.engine.AbstractCSSEngine

`applyCSSProperty, applyDefaultStyleDeclaration, applyDefaultStyleDeclaration, applyInlineStyle, applyStyleDeclaration, applyStyles, applyStyles, convert, convert, dispose, getCSSCompositePropertiesNames, getCSSElementContext, getCSSProperties, getCSSPropertyHandlers, getCSSValueConverter, getDefaultStyleDeclaration, getDefaultStyleDeclaration, getDocumentCSS, getElementProvider, getElementsContext, getErrorHandler, getNativeWidget, getResourcesLocatorManager, getStaticPseudoInstances, getViewCSS, handleExceptions, handleWidgetDisposed, isVisible, matches, onStylesAppliedToChildNodes, parseAndApplyStyleDeclaration, parseAndApplyStyleDeclaration, parseAndApplyStyleDeclaration, parseAndApplyStyleDeclaration, parsePropertyValue, parsePropertyValue, parsePropertyValue, parsePropertyValue, parseSelectors, parseSelectors, parseSelectors, parseSelectors, parseStyleDeclaration, parseStyleDeclaration, parseStyleDeclaration, parseStyleDeclaration, parseStyleSheet, parseStyleSheet, parseStyleSheet, registerCSSPropertyHandlerProvider, registerCSSValueConverter, retrieveCSSProperty, setElementProvider, setErrorHandler, setResourceRegistryKeyFactory, setResourcesLocatorManager, setResourcesRegistry, unregisterCSSPropertyHandlerProvider, unregisterCSSValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSSWTEngineImpl

public CSSSWTEngineImpl(Display display)

### CSSSWTEngineImpl

public CSSSWTEngineImpl(Display display, boolean lazyApplyingStyles)

## Method Details

### hookNativeWidget

protected void hookNativeWidget(Object widget)
Description copied from class: `AbstractCSSEngine`
Called when an element context is created for a native widget and registered with this engine. Subclasses should override and install a listener on the widget that will call `AbstractCSSEngine.handleWidgetDisposed(Object)` when the widget is disposed.

The default implementation of this method does nothing.

Overrides:
  `hookNativeWidget` in class `AbstractCSSEngine`
Parameters:
  `widget` - the native widget to hook

### initializeCSSPropertyHandlers

protected void initializeCSSPropertyHandlers()

Specified by:
  `initializeCSSPropertyHandlers` in class `AbstractCSSSWTEngineImpl`

### initializeCSSElementProvider

protected void initializeCSSElementProvider()

Specified by:
  `initializeCSSElementProvider` in class `AbstractCSSSWTEngineImpl`

### reapply

public void reapply()
Description copied from interface: `CSSEngine`
Reapply the styles to the objects managed by this engine.